Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision 34f7e3eeafd6e648e0f4121e00e573a9662eeb0c)
+++ BOOK/introduction/common/changelog.xml	(revision c1fd1340c635e4acc4b3ebdd7c75e6c281931a59)
@@ -38,4 +38,14 @@
 
     <listitem>
+      <para>09 August 2014</para>
+      <itemizedlist>
+        <listitem>
+          <para>[Chris] - Redo top index to list by arch, then 32/64/multilib
+          within each arch.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>07 August 2014</para>
       <itemizedlist>
Index: BOOK/stylesheets/top-index.xsl
===================================================================
--- BOOK/stylesheets/top-index.xsl	(revision 34f7e3eeafd6e648e0f4121e00e573a9662eeb0c)
+++ BOOK/stylesheets/top-index.xsl	(revision c1fd1340c635e4acc4b3ebdd7c75e6c281931a59)
@@ -97,5 +97,8 @@
       <div class="toc">
         <h3>
-          <xsl:text>32 Bit Builds</xsl:text>
+          <xsl:text>Select your target architecture:</xsl:text>
+        </h3>
+        <h3>
+          <xsl:text>Intel/AMD x86</xsl:text>
         </h3>
         <ul>
@@ -103,96 +106,101 @@
             <h4>
               <a href="x86">
-                <xsl:text>Intel/AMD x86</xsl:text>
-              </a>
-            </h4>
-          </li>
+                <xsl:text>32 Bits</xsl:text>
+              </a>
+            </h4>
+          </li>
+          <li>
+            <h4>
+              <a href="x86_64-64">
+                <xsl:text>64 Bits</xsl:text>
+              </a>
+            </h4>
+          </li>
+          <li>
+            <h4>
+              <a href="x86_64">
+                <xsl:text>Multilib</xsl:text>
+              </a>
+            </h4>
+          </li>
+	</ul>
+        <h3>
+          <xsl:text>MIPS</xsl:text>
+        </h3>
+	<ul>
           <li>
             <h4>
               <a href="mips">
-                <xsl:text>MIPS</xsl:text>
-              </a>
-            </h4>
-          </li>
+                <xsl:text>32 Bits</xsl:text>
+              </a>
+            </h4>
+          </li>
+          <li>
+            <h4>
+              <a href="mips64-64">
+                <xsl:text>64 Bits</xsl:text>
+              </a>
+            </h4>
+          </li>
+          <li>
+            <h4>
+              <a href="mips64">
+                <xsl:text>Multilib</xsl:text>
+              </a>
+            </h4>
+          </li>
+	</ul>
+        <h3>
+          <xsl:text>PowerPC</xsl:text>
+        </h3>
+	<ul>
           <li>
             <h4>
               <a href="ppc">
-                <xsl:text>PowerPC</xsl:text>
-              </a>
-            </h4>
-          </li>
+                <xsl:text>32 Bits</xsl:text>
+              </a>
+            </h4>
+          </li>
+          <li>
+            <h4>
+              <a href="ppc64-64">
+                <xsl:text>64 Bits</xsl:text>
+              </a>
+            </h4>
+          </li>
+          <li>
+            <h4>
+              <a href="ppc64">
+                <xsl:text>Multilib</xsl:text>
+              </a>
+            </h4>
+          </li>
+        </ul>
+        <h3>
+          <xsl:text>Sparc</xsl:text>
+        </h3>
+	<ul>
           <li>
             <h4>
               <a href="sparc">
-                <xsl:text>Sparc v8</xsl:text>
+                <xsl:text>32 Bits</xsl:text>
+              </a>
+            </h4>
+          </li>
+          <li>
+            <h4>
+              <a href="sparc64-64">
+                <xsl:text>64 Bits</xsl:text>
+              </a>
+            </h4>
+          </li>
+          <li>
+            <h4>
+              <a href="sparc64">
+                <xsl:text>Multilib</xsl:text>
               </a>
             </h4>
           </li>
 	</ul>
-        <h3>
-          <xsl:text>64 Bit Builds</xsl:text>
-        </h3>
-	<ul>
-          <li>
-            <h4>
-              <a href="x86_64-64">
-                <xsl:text>x86_64</xsl:text>
-              </a>
-            </h4>
-          </li>
-          <li>
-            <h4>
-              <a href="mips64-64">
-                <xsl:text>MIPS</xsl:text>
-              </a>
-            </h4>
-          </li>
-          <li>
-            <h4>
-              <a href="ppc64-64">
-                <xsl:text>PowerPC64</xsl:text>
-              </a>
-            </h4>
-          </li>
-          <li>
-            <h4>
-             <a href="sparc64-64">
-                <xsl:text>Sparc v9/Ultrasparc</xsl:text>
-             </a>
-            </h4>
-          </li>
-	</ul>
-        <h3>
-          <xsl:text>Multilib Builds</xsl:text>
-        </h3>
-	<ul>
-          <li>
-            <h4>
-              <a href="x86_64">
-                <xsl:text>x86_64</xsl:text>
-              </a>
-            </h4>
-          </li>
-          <li>
-            <h4>
-              <a href="mips64">
-                <xsl:text>MIPS</xsl:text>
-              </a>
-            </h4>
-          </li>
-          <li>
-            <h4>
-              <a href="ppc64">
-                <xsl:text>PowerPC64</xsl:text>
-              </a>
-            </h4>
-          </li>
-          <li>
-            <h4>
-             <a href="sparc64">
-                <xsl:text>Sparc v9/Ultrasparc</xsl:text>
-             </a>
-            </h4>
-          </li>
-        </ul>
       </div>
     </div>
